Subject: Re: exim-4.76-1 fails to remove lock from spooler on delivery
From: Zdzislaw Meglicki <[email-masked]>
To: [email-masked]
Cc: [email-masked]
Date: Wed, 26 Oct 2011 11:06:13 -0700 (PDT)
List-Id: <cygwin.cygwin.com>

Hello Pierre,

I'm now sitting in front of the machine. I have stopped exim and cleaned all 
logs in /var/log/exim. Then restarted it. Then I e-mailed a message from 
another machine to gustav at yanchep to reproduce the 
problem and inspected he logs.

Here's what I find:

1. In the /var/spool/mail directory, the message has been written on the 
destination file "gustav".
2. The lock file, /var/spool/mail/gustav.lock, which wasn't there originally, is 

there now and remains unremoved.
3. There is an entry in /var/log/exim/exim_panic.log that looks as follows:

root $ cat exim_panic.log
2011-10-26 13:33:46 LTOOS9-0002MK-LW failed to read delivery status for 
gustav at yanchep from delivery subprocess
2011-10-26 13:33:46 LTOOS9-0002MK-LW appendfile transport process returned 
non-zero status 0x0001: terminated by signal 1
root $ 

4. The same message is repeated on cygrunsrv_err.log
5. The message on /var/log/exim/exim_main.log looks as follows:

root $ cat exim_main.log
2011-10-26 13:32:24 exim 4.76 daemon started: pid=5624, -q15m, listening for 
SMTP on port 25 (IPv6 and IPv4)
2011-10-26 13:32:24 Start queue run: pid=2424
2011-10-26 13:32:24 End queue run: pid=2424
2011-10-26 13:33:45 LTOOS9-0002MK-LW <= gustav at perth
H=perth [ip-number]  P=esmtp S=689 
id=20111026173338.05167164087 at perth
2011-10-26 13:33:46 LTOOS9-0002MK-LW failed to read delivery status for 
gustav at yanchep from delivery subprocess
2011-10-26 13:33:46 LTOOS9-0002MK-LW appendfile transport process returned 
non-zero status 0x0001: terminated by signal 1
2011-10-26 13:33:46 LTOOS9-0002MK-LW == gustav at yanchep
R=localuser T=local_delivery defer (-1)
2011-10-26 13:33:46 LTOOS9-0002MK-LW Frozen
root $ 

Do I need to enable something or run an auxiliary service?

Cheers
Zdzislaw Meglicki

P.S. I edited the logs to remove the full e-mail addresses.

--
Problem reports:       http://cygwin.com/problems.html
FAQ:                   http://cygwin.com/faq/
Documentation:         http://cygwin.com/docs.html
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple